# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Enum ErrorContent.LocationType

    java.lang.Object
      java.lang.Enum<ErrorContent.LocationType>
          com.google.gdata.util.ErrorContent.LocationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ErrorContent.LocationType>

Enclosing interface:
  ErrorContent

    public static enum ErrorContent.LocationType

extends java.lang.Enum<ErrorContent.LocationType>

Enumerated constants for error location types.

Enum Constant Summary
`HEADER` The error occurred in a header, and the location describes which one.
`OTHER` The error occurred somewhere else, or the location is unknown.
`XPATH` The location is an xpath expression to the location of the error in the request.

Method Summary
`static ErrorContent.LocationType` `fromString(java.lang.String value)` Return the location type matching the given string value.
`java.lang.String` `toString()` Return the string value of the location type.
`static ErrorContent.LocationType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ErrorContent.LocationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XPATH

    public static final ErrorContent.LocationType XPATH

  The location is an xpath expression to the location of the error in the request.

### HEADER

    public static final ErrorContent.LocationType HEADER

  The error occurred in a header, and the location describes which one.

### OTHER

    public static final ErrorContent.LocationType OTHER

  The error occurred somewhere else, or the location is unknown.

Method Detail

### values

    public static ErrorContent.LocationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ErrorContent.LocationType c : ErrorContent.LocationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ErrorContent.LocationType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### fromString

    public static ErrorContent.LocationType fromString(java.lang.String value)

  Return the location type matching the given string value. Unlike the `valueOf(String)` method, this will return `null` if the value was not found, rather than throwing an exception. The values are based on the `toString()` method for each location type.

### toString

    public java.lang.String toString()

  Return the string value of the location type. This is the value that will appear in the XML output.

  Overrides:
    `toString` in class `java.lang.Enum<ErrorContent.LocationType>`